<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ZYDN.Entities</name>
    </assembly>
    <members>
        <member name="T:ZYDN.Entities.Config_MenuInt">
            <summary>
            Author:Dacia
            </summary>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.#ctor">
            <summary>
            初始化一个积分规则实体类
            </summary>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.#ctor(System.Data.SqlClient.SqlDataReader)">
            <summary>
            初始化一个积分规则实体类
            </summary>
            <param name="sdr">SqlDataReader对象</param>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.Add">
            <summary>
            添加一条积分规则并返回所对应的ID
            </summary>
            <returns>int</returns>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.SetDefaultItem(System.Int32)">
            <summary>
            设置默认积分规则
            </summary>
            <param name="IDN">设置的规则ID:int</param>
            <returns>Bool</returns>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.Update">
            <summary>
            根据积分规则的ID返回
            </summary>
            <returns></returns>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.Delete(System.Int32)">
            <summary>
            根据规则ID删除一条规则
            </summary>
            <param name="IDN">规则ID:int</param>
        </member>
        <member name="M:ZYDN.Entities.Config_MenuInt.GetCMIById(System.Int32)">
            <summary>
            根据规则编号ID获取规则实体
            </summary>
            <param name="IDN">编号ID:int</param>
            <returns>Config_MenuInt</returns>
        </member>
        <!-- 对于成员“M:ZYDN.Entities.Config_MenuInt.GetCMIS”忽略有格式错误的 XML 注释 -->
        <!-- 对于成员“M:ZYDN.Entities.Config_MenuInt.GetCMIS(System.String)”忽略有格式错误的 XML 注释 -->
        <member name="P:ZYDN.Entities.Config_MenuInt.ID">
            <summary>
            ID
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.IsDefault">
            <summary>
            是否是默认配置
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.MIName">
            <summary>
            配置名称
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Add_Int">
            <summary>
            发贴默认增加积分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_View_Int">
            <summary>
            查看帖子需要积分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_View_Money">
            <summary>
            查看帖子需要金钱
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Cmt_Add_Int">
            <summary>
            回复或评论加积分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Ese_Int">
            <summary>
            精华默认加分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Top_Int">
            <summary>
            置顶贴子加分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Ese_Money">
            <summary>
            精华默认加金钱
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Top_Money">
            <summary>
            置顶贴子加金钱
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Del_Int">
            <summary>
            删除贴子扣除积分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Del_Money">
            <summary>
            删除贴子扣除金钱
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Cmt_Del_Int">
            <summary>
            回复被删除扣积分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Cmt_Del_Money">
            <summary>
            回复被删除扣金钱
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Non_Int">
            <summary>
            贴子被屏蔽扣积分
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.Art_Non_Money">
            <summary>
            贴子被屏蔽扣金钱
            </summary>
        </member>
        <member name="P:ZYDN.Entities.Config_MenuInt.ExceptUGID">
            <summary>
            以上规则这些组除外（保存用户组ID）
            </summary>
        </member>
        <member name="T:ZYDN.Entities.Menu">
            <summary>
            Author:Dacia
            </summary>
        </member>
    </members>
</doc>
